import { env } from "@/env/server"

import CurrentLoadingSpinner from "@/components/Current/LoadingSpinner"
import LoadingSpinner from "@/components/LoadingSpinner"

export default function Loading() {
  if (env.NEW_SITE_LIVE_STATUS === "NOT_LIVE") {
    return <CurrentLoadingSpinner />
  }

  return <LoadingSpinner />
}
